org.apache.hc.core5.http2.impl.nio

## Class ClientH2StreamMultiplexerFactory

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.ClientH2StreamMultiplexerFactory

-     @Contract(threading=IMMUTABLE_CONDITIONAL)
       @Internal
      public final class ClientH2StreamMultiplexerFactory
      extends Object

  `ClientH2StreamMultiplexer` factory.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor, H2StreamListener streamListener)`
    `ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor, HandlerFactory<AsyncPushConsumer> pushHandlerFactory, H2Config h2Config, CharCodingConfig charCodingConfig, H2StreamListener streamListener)`
    `ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor, HandlerFactory<AsyncPushConsumer> pushHandlerFactory, H2StreamListener streamListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientH2StreamMultiplexer` | `create(ProtocolIOSession ioSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientH2StreamMultiplexerFactory

          public ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor,
                                                  HandlerFactory<AsyncPushConsumer> pushHandlerFactory,
                                                  H2Config h2Config,
                                                  CharCodingConfig charCodingConfig,
                                                  H2StreamListener streamListener)

    - #### ClientH2StreamMultiplexerFactory

          public ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor,
                                                  HandlerFactory<AsyncPushConsumer> pushHandlerFactory,
                                                  H2StreamListener streamListener)

    - #### ClientH2StreamMultiplexerFactory

          public ClientH2StreamMultiplexerFactory(HttpProcessor httpProcessor,
                                                  H2StreamListener streamListener)

  - ### Method Detail

    - #### create

          public ClientH2StreamMultiplexer create(ProtocolIOSession ioSession)

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.